public class GetFeaturesOperation extends CommonDataFixture
noOfCollectionsrequestLoggingFilter, responseLoggingFilter, rootUri| Constructor and Description |
|---|
GetFeaturesOperation() |
createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, noOfCollections, requirementClassesclearMessages, getRequest, getResponse, init, initCommonFixturepublic Iterator<Object[]> collectionItemUris(org.testng.ITestContext testContext)
public Iterator<Object[]> collectionItemUrisWithLimits(org.testng.ITestContext testContext)
public Iterator<Object[]> collectionItemUrisWithBboxes(org.testng.ITestContext testContext)
public Iterator<Object[]> collectionItemUrisWithTimes(org.testng.ITestContext testContext)
public void retrieveRequiredInformationFromTestContext(org.testng.ITestContext testContext)
public void validateTheGetFeaturesOperation(org.testng.ITestContext testContext,
Map<String,Object> collection)
testContext - used to fill the FEATUREIDS, never nullcollection - the collection under test, never nullpublic void validateTheGetFeaturesOperationResponse_Links(Map<String,Object> collection)
collection - the collection under test, never nullpublic void validateTheGetFeaturesOperationResponse_property_timeStamp(Map<String,Object> collection)
collection - the collection under test, never nullpublic void validateGetFeaturesOperationResponse_property_numberReturned(Map<String,Object> collection)
collection - the collection under test, never nullpublic void validateTheGetFeaturesOperationResponse_property_numberMatched(Map<String,Object> collection) throws URISyntaxException
collection - the collection under test, never nullURISyntaxException - if the creation of a uri failspublic void limitParameter(TestPoint testPoint)
name: limit in: query required: false schema: type: integer minimum: 1 maximum: 10000 (example) default: 10 (example) style: form explode: false
testPoint - the test point under test, never nullpublic void limitParameter_requests(Map<String,Object> collection, int limit)
collection - the collection under test, never nulllimit - limit parameter to request, never nullpublic void boundingBoxParameter(TestPoint testPoint)
name: bbox
in: query
required: false
schema:
type: array
minItems: 4
maxItems: 6
items:
type: number
style: form
explode: false
testPoint - the testPoint under test, never nullpublic void boundingBoxParameter_requests(Map<String,Object> collection, BBox bbox) throws URISyntaxException
collection - the collection under test, never nullbbox - bbox parameter to request, never nullURISyntaxException - if the creation of a uri failspublic void timeParameter(TestPoint testPoint)
name: time in: query required: false schema: type: string style: form explode: false
testPoint - the testPoint under test, never nullpublic void timeParameter_requests(Map<String,Object> collection, String queryParameter, Object begin, Object end) throws URISyntaxException
collection - the collection under test, never nullqueryParameter - time parameter as string to use as query parameter, never nullbegin - a ZonedDateTime or LocalDate, the begin of the interval (or instant), never
nullend - a ZonedDateTime or LocalDate, the end of the interval, never null if the
request is an instantURISyntaxException - if the creation of a uri failsCopyright © 2018 Open Geospatial Consortium. All rights reserved.